Bug 151086 - kernel locks up tty/psuedo-tty access
kernel locks up tty/psuedo-tty access
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 14:16 EST by Alex Schultz
Modified: 2013-03-06 00:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 16:44:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Schultz 2005-03-14 14:16:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.1) Gecko/20020823 Netscape/7.0

Description of problem:
Below is the chunk of log from dmesg about the stack trace.  When this occurs you cannot log into to the machine via ssh and the console is locked up (we believe it locks up the tty access).

We're running dell 7250 itaniums with qlogic QLA2450-E-SP fibre cards and intel e1000 network cards.  These machines are running oracle 10g and talking to EMC for raw disk access.


sh[22208]: NaT consumption 2216203124768

Pid: 22208, comm:                   sh
EIP is at init_dev [kernel] 0xb1 (2.4.21-27.0.2.EL)
psr : 0000121008026038 ifs : 8000000000000a17 ip  : [<e0000000046140b1>]    Tain
ted: P
unat: 0000000000000000 pfs : 0000000000000a17 rsc : 0000000000000003
rnat: 5a5596569aaa656b bsps: e000000004401370 pr  : 80000000a5a6551b
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c0270033f
b0  : e000000004614080 b6  : e0000000044b20c0 b7  : e000000004615b40
f6  : 1003e0000000000000000 f7  : 1003e0000000000000001
f8  : 10011db16a00000000000 f9  : 1003efffffffffffffe03
r1  : e000000004cb7d00 r2  : 0000000000000000 r3  : 0000000000000000
r8  : e000000004b26520 r9  : 0000000000000000 r10 : 0000000000000000
r11 : e000000004c445c6 r12 : e0000000368d7de0 r13 : e0000000368d0000
r14 : e0000000572fc000 r15 : e000000004c445c8 r16 : e000000004c446d8
r17 : e000000004c445c8 r18 : 0000000000000000 r19 : 0000000000000000
r20 : 0000000000000000 r21 : 0000000000000001 r22 : 0000000100040000
r23 : 0000000000000001 r24 : 0000ffffffff0000 r25 : e000000004b78ec8
r26 : 0000000000000500 r27 : 00000000000001f5 r28 : e0000000368d05c0
r29 : 0000000000000001 r30 : 0000000073a69c80 r31 : e000000004b851d0

Call Trace: [<e000000004415960>] sp=0xe0000000368d7970 bsp=0xe0000000368d1478 sh
ow_stack [kernel] 0x80
[<e000000004431e50>] sp=0xe0000000368d7b40 bsp=0xe0000000368d1450 die [kernel] 0
x1b0
[<e000000004432fd0>] sp=0xe0000000368d7b40 bsp=0xe0000000368d1410 ia64_fault [ke
rnel] 0x170
[<e00000000440ea20>] sp=0xe0000000368d7c40 bsp=0xe0000000368d1410 ia64_leave_ker
nel [kernel] 0x0
[<e0000000046140b0>] sp=0xe0000000368d7de0 bsp=0xe0000000368d1350 init_dev [kern
el] 0xb0
[<e000000004615c30>] sp=0xe0000000368d7de0 bsp=0xe0000000368d12e0 tty_open [kern
el] 0xf0
[<e00000000451c460>] sp=0xe0000000368d7e30 bsp=0xe0000000368d12b0 chrdev_open [k
ernel] 0x140
[<e000000004518910>] sp=0xe0000000368d7e30 bsp=0xe0000000368d1248 dentry_open [k
ernel] 0x2f0
[<e000000004518600>] sp=0xe0000000368d7e30 bsp=0xe0000000368d1220 filp_open [ker
nel] 0xc0
[<e000000004519070>] sp=0xe0000000368d7e60 bsp=0xe0000000368d11a0 sys_open [kern
el] 0xb0
[<e00000000440ea00>] sp=0xe0000000368d7e60 bsp=0xe0000000368d11a0 ia64_ret_from_
syscall [kernel] 0x0

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
The machine runs and eventually has the kernel exception.  It's random when it crashes.

Additional info:
Comment 1 Ernie Petrides 2005-03-14 16:44:12 EST
A fix for this problem was committed to the RHEL3 U5
patch pool on 9-Mar-2005 (in kernel version 2.4.21-30.EL).



*** This bug has been marked as a duplicate of 144059 ***
Comment 2 Ernie Petrides 2005-04-13 20:17:47 EDT
A fix for this problem has also been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.3.EL).
Comment 3 Josh Bressers 2005-04-22 16:17:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html
Comment 4 Tim Powers 2005-05-18 09:29:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.